#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.4
%define		qtver		5.15.2
%define		kpname		ksystemstats
Summary:	ksystemstats
Name:		kp6-%{kpname}
Version:	6.3.4
Release:	1
License:	BSD Clause 2
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	07120cf3716ab424a36034e92f9e2c25
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= 5.15.0
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.82
BuildRequires:	kf6-kcoreaddons-devel >= 5.85.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.82
BuildRequires:	kf6-kio-devel >= 5.82
BuildRequires:	kf6-networkmanager-qt-devel >= 5.82
BuildRequires:	kf6-solid-devel >= 5.85.0
BuildRequires:	kp6-libksysguard-devel >= %{version}
BuildRequires:	libnl-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	qt6-qmake
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSystemStats is a daemon that collects statistics about the running
system.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_iconsdir}/{breeze-dark,breeze}
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kstatsviewer
%attr(755,root,root) %{_bindir}/ksystemstats
%{systemduserunitdir}/plasma-ksystemstats.service
%{_libdir}/qt6/plugins/ksystemstats
%{_datadir}/dbus-1/services/org.kde.ksystemstats1.service
%{_datadir}/qlogging-categories6/ksystemstats.categories
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-ksystemstats.git;a=log;h=master

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b4b8fd9
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 55d70ee
- updated to 6.3.3

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> cd0d075
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f48f023
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2137596
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ba01a70
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a7ee69f
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f03b97b
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> afdf51f
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c603f18
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 779974d
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 578b018
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3fcd017
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> aeec817
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f271101
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 574ecbb
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c40f36f
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 641b3bf
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5d03c14
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4d33cdd
- updated to 6.0.3

